### Function

# GLib PatternSpec new

#### Declaration [src]

    GPatternSpec*
    g_pattern_spec_new (
      const gchar* pattern
    )

#### Description [src]

Compiles a pattern to a `GPatternSpec`.

#### Parameters

`pattern`

  Type: `const gchar*`

  A zero-terminated UTF-8 encoded string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GPatternSpec`

A newly-allocated `GPatternSpec`.

The caller of the function takes ownership of the data, and is responsible for freeing it.